# source http://download.rsyslog.com/liblogging/liblogging-1.0.6.tar.gz

%global major     0
%global libname   %mklibname logging %{major}
%global develname %mklibname logging -d

Name:           liblogging
Version:        1.0.6
Release:        %mkrel 2
Summary:        Easy to use, portable, open source library for system logging

License:        GPL
Group:		System/Libraries
URL:            http://www.liblogging.org/
Source0:        %{name}-%{version}.tar.xz

BuildRequires:	dos2unix
BuildRequires:  make

%description
%{summary}.

%package -n %{libname}
Summary:        Shared libraries for %{name}
Group:          System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the shared libraries for %{name}.

%package -n %{develname}
Summary:        Header files and development libraries for %{name}
Group:          Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel

%description -n %{develname}
Header files and development libraries for %{name}.

%prep
%setup -q

%build
%configure2_5x \
  --enable-journal=no \
  --enable-man-pages=no
%make_build
dos2unix COPYING

%install
%makeinstall_std
find %{buildroot} \( -iname \*.a -o -iname \*.la \) -delete
%__rm -f %{buildroot}%{_bindir}/stdlogctl

%files -n %{libname}
%doc AUTHORS ChangeLog COPYING NEWS
%{_libdir}/%{name}-stdlog.so.%{major}*

%files -n %{develname}
%{_includedir}/%{name}/stdlog.h
%{_libdir}/%{name}-stdlog.so
%{_libdir}/pkgconfig/%{name}-stdlog.pc

%changelog
* Tue May 28 2019 tex - 1.0.6-2pclos2019
- rebuild against updates

* Fri Sep 08 2017 marcin82 <m82 at op.pl> 1.0.6-1pclos2017
- initial build for PCLinuxOS
